# -*- coding: utf-8 -*-
#Importation des modules utiles
from turtle import *
from math import *
from random import *

#Paramétrage de la fenêtre
fenetre = Screen()
fenetre.setup(600,600)
fenetre.bgpic("Repere.gif")

#Paramétrage du disque 1 bleu
disque1=Turtle()
disque1.speed(0)
disque1.up()
disque1.hideturtle()
disque1.color('blue')

#Paramétrage du disque 2 vert
disque2=Turtle()
disque2.speed(0)
disque2.up()
disque2.hideturtle()
disque2.color('green')

tracer(10,0)  #Pour accélérer les tracés

################## VOTRE TRAVAIL COMMENCE ICI ###################
def collision():
  #On construit le disque bleu de centre (x1,y1) et de rayon r1
  r1=100
  x1=0
  y1=0
  disque1.goto(x1,y1)
  disque1.dot(2*r1)       #Le disque bleu de centre (x1,y1) et de diamètre 2*r1 est tracé
  
  #On construit le disque vert de centre (x2,y2) et de rayon r2
  r2=150
  x2=randint(-300,300)    #x2 est choisi aléaoirement dans [-300 ; 300]
  y2=randint(-300,300)    #y2 est choisi aléaoirement dans [-300 ; 300]
  disque2.goto(x2,y2)
  disque2.dot(2*r2)       #Le disque vert de centre (x2,y2) et de diamètre 2*r2 est tracé

  #Y a-t-il collision ?
  a=sqrt((x2-x1)**2+(y2-y1)**2)
  if a<r1+r2:
    print("Collision")
    return 1
  else :
    print("Pas de collision")
    return 0

#On lance la fonction plein de fois et on dénombre les collisions
compteur=0
for i in range(1000):
  disque1.clear()     #On efface le précédent disque bleu
  disque2.clear()     #On efface le précédent disque vert
  c=collision()
  if c==1:
    compteur=compteur+1
print(compteur)

################### VOTRE TRAVAIL SE TERMINE ICI ##################

fenetre.mainloop()
